### Method

# Adw Flap set_fold_threshold_policy

deprecated: 1.4

#### Declaration [src]

    void
    adw_flap_set_fold_threshold_policy (
      AdwFlap* self,
      AdwFoldThresholdPolicy policy
    )

#### Description [src]

Sets the fold threshold policy for `self`.

If set to `ADW_FOLD_THRESHOLD_POLICY_MINIMUM`, flap will only fold when the children cannot fit anymore. With `ADW_FOLD_THRESHOLD_POLICY_NATURAL`, it will fold as soon as children don’t get their natural size.

This can be useful if you have a long ellipsizing label and want to let it ellipsize instead of immediately folding.

Deprecated since: 1.4

See the migration guide

Sets property | `Adw.Flap:fold-threshold-policy`

#### Parameters

`policy`

  Type: `AdwFoldThresholdPolicy`

  The policy to use.